//
//  ATPHistoryViewController.m
//  AskThePenguin
//
//  Created by Nikša Vlahušić on 12/04/14.
//  Copyright (c) 2014 FUTURA. All rights reserved.
//

#import "ATPHistoryViewController.h"

@interface ATPHistoryViewController ()

@end

@implementation ATPHistoryViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad {
    
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning {
    
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


#pragma mark - Buttons methods

- (IBAction)buttonCloseTouchUpInside:(id)sender {
    
    [self.presentingViewController dismissViewControllerAnimated:YES completion:NULL];
}


#pragma mark - UITableViewDataSource methods

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    
    NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
    NSArray *oldQRs = [userDefaults arrayForKey:@"QRs"];
    return oldQRs.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
    NSArray *oldQRs = [userDefaults arrayForKey:@"QRs"];
    NSDictionary *QR = oldQRs[indexPath.row];
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"Cell"];
    if (!cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:@"Cell"];
        cell.backgroundColor = [UIColor clearColor];
    }
    cell.textLabel.text = QR[@"response"];
    cell.textLabel.textColor = [UIColor whiteColor];
    cell.detailTextLabel.text = QR[@"question"];
    cell.detailTextLabel.textColor = [UIColor whiteColor];
    
    return cell;
}

@end
